import * as mc from "@minecraft/server";

//let players = mc.world.getAllPlayers()

mc.world.afterEvents.itemUse.subscribe((data) => {
    let player = data.source
    let item = data.itemStack.typeId
    if (item === "brs:ender_wand") {
        let block = player.getBlockFromViewDirection().block.location
        if (!block) {
            return;
        }
        let blockX = block.x
        let blockY = block.y + 1
        let blockZ = block.z
        let blockF = {
            x: blockX,
            y: blockY,
            z: blockZ
        }
        mc.system.runTimeout(() => {
            player.teleport(blockF)

        }, 10)
        mc.world.playSound('mob.enderman.portal', player.location)


    }
})